summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2022-01-29 22:54:08 +0100
committer Willy Sudiarto Raharjo2022-02-02 05:23:19 +0100
commit19b13250157cb1da07a8b6799109d451212be8a7 (patch)
tree14217e92e601cbebfef7af4dd3a8f8e15b3e23f8 /games
parent93b9cd29db255627646da3e7ed46470cfda25650 (diff)
downloadslackbuilds-19b13250157cb1da07a8b6799109d451212be8a7.tar.gz
games/uqm-megamod: Added (space adventure game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/uqm-megamod/README14
-rw-r--r--games/uqm-megamod/config.state17
-rw-r--r--games/uqm-megamod/doinst.sh9
-rw-r--r--games/uqm-megamod/slack-desc19
-rw-r--r--games/uqm-megamod/uqm-megamod.SlackBuild132
-rw-r--r--games/uqm-megamod/uqm-megamod.desktop10
-rw-r--r--games/uqm-megamod/uqm-megamod.info20
7 files changed, 221 insertions, 0 deletions
diff --git a/games/uqm-megamod/README b/games/uqm-megamod/README
new file mode 100644
index 0000000000..708abc2301
--- /dev/null
+++ b/games/uqm-megamod/README
@@ -0,0 +1,14 @@
+uqm-megamod ("remastered" port of the 3DO/PC game - Star Control II)
+
+The Ur-Quan Masters (UQM) is a port of the 3DO version of the PC game
+"Star Control II". It runs on modern operating systems and is 100%
+free. The UQM MegaMod is a fork of the original UQM, which includes
+enhanced graphics and extra features/options.
+
+The original UQM is also available on SBo as games/uqm. Both uqm and
+uqm-megamod can be installed on the same system without conflict.
+
+Unlike the uqm build, uqm-megamod includes all the optional
+content (HD pack, 3DO music, voice, and video packs) in a single
+package. Content made for uqm-megamod is not necessarily compatible
+with uqm.
diff --git a/games/uqm-megamod/config.state b/games/uqm-megamod/config.state
new file mode 100644
index 0000000000..2fbafd852e
--- /dev/null
+++ b/games/uqm-megamod/config.state
@@ -0,0 +1,17 @@
+CHOICE_debug_VALUE='nodebug'
+CHOICE_graphics_VALUE='sdl2'
+CHOICE_sound_VALUE='mixsdl'
+CHOICE_mikmod_VALUE='internal'
+CHOICE_lua_VALUE='internal'
+CHOICE_ovcodec_VALUE='standard'
+CHOICE_netplay_VALUE='full'
+CHOICE_joystick_VALUE='enabled'
+CHOICE_ioformat_VALUE='stdio_zip'
+CHOICE_accel_VALUE='asm'
+CHOICE_threadlib_VALUE='sdl'
+INPUT_install_prefix_VALUE='/usr'
+INPUT_install_bindir_VALUE='$prefix/games'
+INPUT_install_libdir_VALUE='$prefix/share/games'
+INPUT_install_sharedir_VALUE='$prefix/share/games'
+INPUT_install_appdir_VALUE='$prefix/share/applications'
+INPUT_install_icondir_VALUE='$prefix/share/pixmaps'
diff --git a/games/uqm-megamod/doinst.sh b/games/uqm-megamod/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/uqm-megamod/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/uqm-megamod/slack-desc b/games/uqm-megamod/slack-desc
new file mode 100644
index 0000000000..f62f83266b
--- /dev/null
+++ b/games/uqm-megamod/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+uqm-megamod: uqm-megamod ("remastered" port of the 3DO/PC game - Star Control II)
+uqm-megamod:
+uqm-megamod: The Ur-Quan Masters (UQM) is a port of the 3DO version of the PC game
+uqm-megamod: "Star Control II". It runs on modern operating systems and is 100%
+uqm-megamod: free. The UQM MegaMod is a fork of the original UQM, which includes
+uqm-megamod: enhanced graphics and extra features/options.
+uqm-megamod:
+uqm-megamod:
+uqm-megamod:
+uqm-megamod:
+uqm-megamod:
diff --git a/games/uqm-megamod/uqm-megamod.SlackBuild b/games/uqm-megamod/uqm-megamod.SlackBuild
new file mode 100644
index 0000000000..223efaf11e
--- /dev/null
+++ b/games/uqm-megamod/uqm-megamod.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/bash
+
+# Slackware build script for uqm-megamod
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Unlike the original uqm SlackBuild, I'm including all the optional
+# content in this one build. It's the "MegaMod", so it should have
+# everything. If you think this is too much, you should be using the
+# original uqm instead.
+
+# Also, OpenAL is enabled by default (unlike in uqm). Although it's
+# still 'experimental', upstream's release binaries are built with
+# it enabled. And even so, the user has to enable it in the in-game
+# settings (default is 'mixsdl').
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=uqm-megamod
+VERSION=${VERSION:-0.8.1_3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+SRCVER="${VERSION/_/-}"
+SRCNAM="UQM-MegaMod"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
+cd $SRCNAM-$SRCVER
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# why do people even think it's a good idea to hide the compile
+# commands behind something like this?
+export MAKE_VERBOSE=1
+
+# rather than interactive config:
+cat $CWD/config.state > config.state
+
+# hidden env var, let me test builds without OpenAL:
+[ "${OPENAL:-yes}" = "no" ] && sed -i 's,openal,mixsdl,' config.state
+
+# this generates build.vars:
+sh build.sh uqm reprocess_config
+
+# use our flags:
+sed -i "s/-O3/$SLKCFLAGS/g" build.vars
+
+sh build.sh uqm $MAKEFLAGS
+
+mkdir -p $PKG/usr/games
+install -s -m0755 UrQuanMasters $PKG/usr/games/$PRGNAM
+
+# icon and desktop need a bit of love.
+for px in 16 32 48 64 128; do
+ size=${px}x${px}
+ dir=$PKG/usr/share/icons/hicolor/$size/apps
+ mkdir -p $dir
+ convert -resize $size src/res/megamod.png $dir/$PRGNAM.png
+done
+
+mkdir -p $PKG/usr/share/pixmaps
+ln -s ../icons/hicolor/48x48/apps/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# modified copy of upstream's .desktop. ours validates...
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# upstream ships a uqm.6 man page, but it's for the original uqm, not
+# the megamod (which adds many new options). don't install it. maybe
+# make a proper man page someday.
+
+CONTENT_DIR=$PKG/usr/share/games/$PRGNAM/content
+mkdir -p $CONTENT_DIR/{packages,addons}
+install -oroot -groot -m0644 content/version $CONTENT_DIR/version
+install -oroot -groot -m0644 $CWD/mm-0.8.1-content.uqm $CONTENT_DIR/packages
+
+for i in \
+ mm-0.8.1-hd.uqm \
+ mm-0.8.1-3dovoice.uqm \
+ uqm-0.7.0-3DOMusicRemastered.uqm \
+ uqm-0.7.0-3dovideo.uqm
+do
+ install -oroot -groot -m0644 $CWD/$i $CONTENT_DIR/addons
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS *Change* Contrib* README* licenses doc/release WhatsNew \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/uqm-megamod/uqm-megamod.desktop b/games/uqm-megamod/uqm-megamod.desktop
new file mode 100644
index 0000000000..afccc58acb
--- /dev/null
+++ b/games/uqm-megamod/uqm-megamod.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Name=The Ur-Quan Masters MegaMod
+Comment=An interstellar adventure game
+Exec=/usr/games/uqm-megamod
+Icon=uqm-megamod
+StartupNotify=true
+Terminal=false
+Type=Application
+Categories=Game;AdventureGame;
diff --git a/games/uqm-megamod/uqm-megamod.info b/games/uqm-megamod/uqm-megamod.info
new file mode 100644
index 0000000000..7e2639e3aa
--- /dev/null
+++ b/games/uqm-megamod/uqm-megamod.info
@@ -0,0 +1,20 @@
+PRGNAM="uqm-megamod"
+VERSION="0.8.1_3"
+HOMEPAGE="http://megamod.serosis.net/"
+DOWNLOAD="https://github.com/Serosis/UQM-MegaMod/archive/0.8.1-3/UQM-MegaMod-0.8.1-3.tar.gz \
+ http://files.serosis.net/MegaMod/0.8.1/mm-0.8.1-content.uqm \
+ http://files.serosis.net/MegaMod/0.8.1/mm-0.8.1-hd.uqm \
+ http://files.serosis.net/MegaMod/0.8.1/mm-0.8.1-3dovoice.uqm \
+ http://files.serosis.net/MegaMod/uqm-0.7.0-3DOMusicRemastered.uqm \
+ http://files.serosis.net/MegaMod/uqm-0.7.0-3dovideo.uqm"
+MD5SUM="3537fb0d96dfccaeb215089e595aa012 \
+ 6ca00a5a2c7db3d60a0d5828bd921ce8 \
+ 98f4b2cee09fb59f13661b5cafd017ec \
+ 3be61785ab05344fd315e75d2efa313d \
+ 293a8b036746bcee3823f0b33c2a16a7 \
+ 8412ced77245d2f6cac31feee6df05c6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"